Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 12463021: Stop sending Accept-Charset HTTP header. (Closed)

Created:
5 years, 11 months ago by pauljensen
Modified:
5 years, 11 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, akalin, Raghu Simha, kkania, robertshield, darin-cc_chromium.org, haitaol1, android-webview-reviews_chromium.org, tim (not reviewing)
Visibility:
Public.

Description

Stop sending Accept-Charset HTTP header as its not relevant anymore. Remove it from HttpUserAgentSettings as well as this is no longer needed. BUG=112804 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=188237

Patch Set 1 : #

Patch Set 2 : Fix comment #

Total comments: 4

Patch Set 3 : Fix comment #

Total comments: 2

Patch Set 4 : Address brettw's comments #

Patch Set 5 : sync (r188089) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -180 lines) Patch
M android_webview/browser/net/aw_url_request_context_getter.cc View 1 2 3 4 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/automation/url_request_automation_job.cc View 2 chunks +1 line, -11 lines 0 comments Download
M chrome/browser/io_thread.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/net/basic_http_user_agent_settings.h View 1 chunk +4 lines, -7 lines 0 comments Download
M chrome/browser/net/basic_http_user_agent_settings.cc View 1 2 3 2 chunks +2 lines, -7 lines 0 comments Download
M chrome/browser/net/chrome_http_user_agent_settings.h View 2 chunks +2 lines, -6 lines 0 comments Download
M chrome/browser/net/chrome_http_user_agent_settings.cc View 3 chunks +0 lines, -19 lines 0 comments Download
M chrome/browser/policy/cloud/device_management_service.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/service/net/service_url_request_context.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/shell/shell_url_request_context_getter.cc View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M net/http/http_util.h View 1 chunk +0 lines, -5 lines 0 comments Download
M net/http/http_util.cc View 1 chunk +0 lines, -10 lines 0 comments Download
M net/http/http_util_unittest.cc View 1 chunk +0 lines, -7 lines 0 comments Download
M net/url_request/http_user_agent_settings.h View 2 chunks +2 lines, -5 lines 0 comments Download
M net/url_request/static_http_user_agent_settings.h View 1 chunk +1 line, -5 lines 0 comments Download
M net/url_request/static_http_user_agent_settings.cc View 2 chunks +0 lines, -6 lines 0 comments Download
M net/url_request/url_request_context.h View 1 2 3 4 2 chunks +1 line, -3 lines 0 comments Download
M net/url_request/url_request_context.cc View 1 chunk +0 lines, -5 lines 0 comments Download
M net/url_request/url_request_context_builder.h View 4 2 chunks +2 lines, -6 lines 0 comments Download
M net/url_request/url_request_context_builder.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M net/url_request/url_request_ftp_job_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M net/url_request/url_request_http_job.cc View 1 2 3 4 2 chunks +2 lines, -8 lines 0 comments Download
M net/url_request/url_request_test_util.cc View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M net/url_request/url_request_unittest.cc View 1 2 3 4 3 chunks +4 lines, -49 lines 0 comments Download
M sync/internal_api/http_bridge.cc View 1 chunk +0 lines, -1 line 0 comments Download
M sync/internal_api/public/http_bridge.h View 1 chunk +2 lines, -2 lines 0 comments Download
M webkit/tools/test_shell/test_shell_request_context.cc View 1 2 4 1 chunk +1 line, -4 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
pauljensen
Matt, PTAL.
5 years, 11 months ago (2013-03-08 03:14:39 UTC) #1
willchan no longer on Chromium
LGTM, nice! Thanks for doing this. I don't believe we're near a major branchpoint, but ...
5 years, 11 months ago (2013-03-08 04:11:42 UTC) #2
joth
a_w/ lgtm branch point is just over two weeks http://dev.chromium.org/developers/calendar On 7 March 2013 20:11, ...
5 years, 11 months ago (2013-03-08 05:28:26 UTC) #3
Nicholas Shanks
As noted in the Firefox bug for this issue (linked from the crbug), removing the ...
5 years, 11 months ago (2013-03-08 11:03:48 UTC) #4
pauljensen
Nicholas, feel free to file a feature request for more header overrides in the Developer ...
5 years, 11 months ago (2013-03-08 15:01:19 UTC) #5
pauljensen
Brett, please review webkit/, content/ and chrome/ (skipping chrome/browser/net/). Fred, please review sync/.
5 years, 11 months ago (2013-03-08 15:12:24 UTC) #6
mmenke
https://codereview.chromium.org/12463021/diff/14002/chrome/browser/net/chrome_http_user_agent_settings.cc File chrome/browser/net/chrome_http_user_agent_settings.cc (left): https://codereview.chromium.org/12463021/diff/14002/chrome/browser/net/chrome_http_user_agent_settings.cc#oldcode16 chrome/browser/net/chrome_http_user_agent_settings.cc:16: pref_accept_charset_.Init(prefs::kDefaultCharset, prefs); This preference value should be removed, right? ...
5 years, 11 months ago (2013-03-08 15:37:48 UTC) #7
mmenke
On 2013/03/08 11:03:48, Nicholas Shanks wrote: > As noted in the Firefox bug for this ...
5 years, 11 months ago (2013-03-08 15:41:11 UTC) #8
pauljensen
https://codereview.chromium.org/12463021/diff/14002/chrome/browser/net/chrome_http_user_agent_settings.cc File chrome/browser/net/chrome_http_user_agent_settings.cc (left): https://codereview.chromium.org/12463021/diff/14002/chrome/browser/net/chrome_http_user_agent_settings.cc#oldcode16 chrome/browser/net/chrome_http_user_agent_settings.cc:16: pref_accept_charset_.Init(prefs::kDefaultCharset, prefs); On 2013/03/08 15:37:49, mmenke wrote: > This ...
5 years, 11 months ago (2013-03-09 19:21:15 UTC) #9
mmenke
LGTM
5 years, 11 months ago (2013-03-10 19:02:32 UTC) #10
brettw
lgtm https://codereview.chromium.org/12463021/diff/41001/chrome/browser/io_thread.cc File chrome/browser/io_thread.cc (right): https://codereview.chromium.org/12463021/diff/41001/chrome/browser/io_thread.cc#newcode509 chrome/browser/io_thread.cc:509: new BasicHttpUserAgentSettings(EmptyString())); Can you change this existing code ...
5 years, 11 months ago (2013-03-14 04:46:22 UTC) #11
pauljensen
Will, the branch-point is 12 days away, is this too close or should I land ...
5 years, 11 months ago (2013-03-14 14:40:23 UTC) #12
willchan no longer on Chromium
Seems fine to land On Mar 14, 2013 10:40 AM, <pauljensen@chromium.org> wrote: > Will, the ...
5 years, 11 months ago (2013-03-14 14:49:21 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pauljensen@chromium.org/12463021/53001
5 years, 11 months ago (2013-03-14 15:56:06 UTC) #14
commit-bot: I haz the power
Failed to apply patch for chrome/browser/policy/device_management_service.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 11 months ago (2013-03-14 15:56:18 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pauljensen@chromium.org/12463021/56001
5 years, 11 months ago (2013-03-14 16:31:59 UTC) #16
commit-bot: I haz the power
Presubmit check for 12463021-56001 failed and returned exit status 1. INFO:root:Found 27 file(s). Running presubmit ...
5 years, 11 months ago (2013-03-14 16:32:09 UTC) #17
akalin
sync lgtm
5 years, 11 months ago (2013-03-14 17:17:53 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pauljensen@chromium.org/12463021/56001
5 years, 11 months ago (2013-03-14 17:24:20 UTC) #19
commit-bot: I haz the power
5 years, 11 months ago (2013-03-15 01:00:15 UTC) #20
Message was sent while issue was closed.
Change committed as 188237

Powered by Google App Engine
This is Rietveld 408576698